## rock-master-18.06-ruby-bundles-rock-auv 0.20140521

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
install(FILES ./README.markdown DESTINATION share/rock/bundles/rock_auv/.)
install(FILES ./Manifest.txt DESTINATION share/rock/bundles/rock_auv/.)
install(DIRECTORY ./data DESTINATION share/rock/bundles/rock_auv/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./Rakefile DESTINATION share/rock/bundles/rock_auv/.)
install(FILES ./CMakeLists.txt DESTINATION share/rock/bundles/rock_auv/.)
install(DIRECTORY ./models DESTINATION share/rock/bundles/rock_auv/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/tasks DESTINATION share/rock/bundles/rock_auv/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/actions DESTINATION share/rock/bundles/rock_auv/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/actions/main.rb DESTINATION share/rock/bundles/rock_auv/./models/actions)
install(FILES ./models/README.txt DESTINATION share/rock/bundles/rock_auv/./models)
install(DIRECTORY ./models/profiles DESTINATION share/rock/bundles/rock_auv/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./models/orogen DESTINATION share/rock/bundles/rock_auv/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/orogen/auv_control.rb DESTINATION share/rock/bundles/rock_auv/./models/orogen)
install(DIRECTORY ./models/blueprints DESTINATION share/rock/bundles/rock_auv/./models FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/control.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints)
install(DIRECTORY ./models/blueprints/control DESTINATION share/rock/bundles/rock_auv/./models/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./models/blueprints/control/constant.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(FILES ./models/blueprints/control/netgen.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(FILES ./models/blueprints/control/cascade.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(FILES ./models/blueprints/control/domain.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(FILES ./models/blueprints/control/data_service.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(FILES ./models/blueprints/control/axis.rb DESTINATION share/rock/bundles/rock_auv/./models/blueprints/control)
install(DIRECTORY ./scripts DESTINATION share/rock/bundles/rock_auv/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./scripts/controllers DESTINATION share/rock/bundles/rock_auv/./scripts FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./scripts/controllers/README.txt DESTINATION share/rock/bundles/rock_auv/./scripts/controllers)
install(FILES ./LICENSE DESTINATION share/rock/bundles/rock_auv/.)
install(DIRECTORY ./test DESTINATION share/rock/bundles/rock_auv/. FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/blueprints DESTINATION share/rock/bundles/rock_auv/./test FILES_MATCHING PATTERN .* EXCLUDE)
install(DIRECTORY ./test/blueprints/control DESTINATION share/rock/bundles/rock_auv/./test/blueprints FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./test/blueprints/control/test_netgen.rb DESTINATION share/rock/bundles/rock_auv/./test/blueprints/control)
install(FILES ./test/blueprints/control/test_constant.rb DESTINATION share/rock/bundles/rock_auv/./test/blueprints/control)
install(FILES ./test/blueprints/control/test_data_services.rb DESTINATION share/rock/bundles/rock_auv/./test/blueprints/control)
install(FILES ./manifest.xml DESTINATION share/rock/bundles/rock_auv/.)
install(FILES ./History.txt DESTINATION share/rock/bundles/rock_auv/.)
install(DIRECTORY ./config DESTINATION share/rock/bundles/rock_auv/. FILES_MATCHING PATTERN .* EXCLUDE)
install(FILES ./config/init.rb DESTINATION share/rock/bundles/rock_auv/./config)
install(FILES ./config/app.yml DESTINATION share/rock/bundles/rock_auv/./config)
install(DIRECTORY ./config/orogen DESTINATION share/rock/bundles/rock_auv/./config FILES_MATCHING PATTERN .* EXCLUDE)

=== debian/changelog ===
rock-master-18.06-ruby-bundles-rock-auv (0.20140521-1~bionic) unstable; urgency=low

  * Package automatically built using autoproj-package debian
  * repository: github:/rock-bundles/bundles-rock_auv.git
  * branch: refs/heads/master
  * commit: b95bfca91d40b595efcf7d5eb14ea51fd0ee162d
  * tag: 

 -- Packaging Daemon <rock-dev@dfki.de>  Thu, 19 Jul 2018 18:55:27 +0200

=== debian/control ===
Source: rock-master-18.06-ruby-bundles-rock-auv
Section: science
Priority: extra
Maintainer: Rock Packaging Daemon <rock-dev@dfki.de>
Build-Depends: cdbs, debhelper (>= 8.0.0), pkg-config, dh-autoreconf, cmake, rock-master-18.06-ruby-bundles-rock
Standards-Version: 3.9.2
Homepage: http://rock-robotics.org
#Vcs-Git: git://git.debian.org/collab-maint/bla.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/bla.git;a=summary

Package: rock-master-18.06-ruby-bundles-rock-auv
Architecture: any
Depends: ${shlibs:Depends}, rock-master-18.06-ruby-bundles-rock
Description: Bundle with general definitions for AUVs
 This bundle contains the syskit models and base scripts that describe rock-based

=== debian/rules ===
#!/usr/bin/make -f

# BEGIN ENVIRONMENT SETUP
# https://www.debian.org/doc/debian-policy/ch-source.html
# nocheck: This tag says to not run any build-time test suite provided by the package.
export DEB_BUILD_OPTIONS=nocheck

# Setup of $(arch), $(rockruby_libdir) and $(rockruby_archdir)
arch=$(shell gcc -print-multiarch)
ruby_ver=$(shell ruby --version)
ruby_arch_dir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['archdir']")
ruby_libdir=$(shell ruby -r rbconfig -e "print RbConfig::CONFIG['rubylibdir']")
rockruby_archdir=$(subst /usr,,$(ruby_arch_dir))
rockruby_libdir=$(subst /usr,,$(ruby_libdir))
# Setup of paths: PATH,PKG_CONFIG_PATH,RUBYLIB,...
master1806_install_dir = /opt/rock/master-18.06
env_setup =  PATH=$(master1806_install_dir)/bin:$(PATH)
env_setup += RUBYLIB=$(master1806_install_dir)/$(rockruby_libdir):$(master1806_install_dir)/$(rockruby_archdir):$(master1806_install_dir)/lib/ruby/vendor_ruby/standard:$(master1806_install_dir)/lib/ruby/vendor_ruby/core:$(master1806_install_dir)/lib/ruby/vendor_ruby:$(RUBYLIB)
env_setup += PKG_CONFIG_PATH=$(master1806_install_dir)/lib/pkgconfig:$(master1806_install_dir)/lib/$(arch)/pkgconfig:/usr/share/pkgconfig:/usr/lib/$(arch)/pkgconfig:$(PKG_CONFIG_PATH)
env_setup += Rock_DIR=$(master1806_install_dir)/share/rock/cmake:$(Rock_DIR)
env_setup += LD_LIBRARY_PATH=$(master1806_install_dir)/lib:$(master1806_install_dir)/lib/$(arch):$(LD_LIBRARY_PATH)
env_setup += CMAKE_PREFIX_PATH=$(master1806_install_dir):$(CMAKE_PREFIX_PATH)
env_setup += OROGEN_PLUGIN_PATH=$(master1806_install_dir)/share/orogen/plugins:$(OROGEN_PLUGIN_PATH)
export TYPELIB_CXX_LOADER=castxml
export DEB_CPPFLAGS_APPEND=-std=c++11
export npm_config_cache=/tmp/npm
rock_library_dirs=$(master1806_install_dir)/lib:$(master1806_install_dir)/lib/$(arch):
rock_install_dir=/opt/rock/master-18.06
# Check if a python command is available and identify the version
# and identify the setup.py file
python_cmd=$(shell command -v python 2> /dev/null)
ifneq ("$(python_cmd)","")
python_version=$(shell python -c 'import sys; print "{0}.{1}".format(sys.version_info[0],sys.version_info[1])')
# Get dirname a setup.py match
python_setup_dir=$(shell find $(DEB_SRCDIR) -name setup.py | tail -n 1 | xargs dirname)
endif

DEB_VERBOSE_ALL=1
include /usr/share/cdbs/1/rules/debhelper.mk
extra_lib_dir=$(shell pwd)/debian/rock-master-18.06-ruby-bundles-rock-auv$(rock_install_dir)/lib
# This argument list is forwarded to dh_shlibdeps which takes the -l option and a colon separated list of libraries
# (not that this is different from the linker arguments)
DEB_DH_SHLIBDEPS_ARGS_ALL=-l$(extra_lib_dir):$(extra_lib_dir)/$(arch):$(rock_library_dirs)

rock_doc_install_dir=$(rock_install_dir)/share/doc/rock-master-18.06-ruby-bundles-rock-auv

pre-build::
	echo "Detected:"
	echo "   ruby version: $(ruby_ver)"
	echo "   ruby libdir: $(rockruby_libdir)"
	echo "   ruby archdir: $(rockruby_archdir)"

	#echo "Current directory:"
	#find .

# END ENVIRONMENT SETUP
######################################
# BEGIN OROGEN -- This block needs to be executed before CMAKE


# END OROGEN
######################################
# BEGIN CMAKE
#
CMAKE = $(env_setup) cmake
DEB_CMAKE_INSTALL_PREFIX = $(rock_install_dir)
DEB_CMAKE_EXTRA_FLAGS = -DCMAKE_SKIP_RPATH=OFF
DEB_CMAKE_EXTRA_FLAGS += -DGEM_OS_PKG=TRUE
# Leaving RUBY_EXECUTABLE unset since it maps to a path of the user executing the upload script
include /usr/share/cdbs/1/class/cmake.mk

# END IMPORTER
# ##########################################
#


# http://cdbs-doc.duckcorp.org/en/cdbs-doc.xhtml see post-configure actions
# replace all entries of -I with -I and -isystem in order to 
#   (a) guarantee that pkgconfig can still knowns the include directory (-I)
#   (b) the include directory is actually accounted for as system include directory (-isystem)
# Account for the fact, that configure is called multiple times e.g. revert changes first, then reapply
configure/rock-master-18.06-ruby-bundles-rock-auv::
	echo "Adapt -I to -isystem in pkgconfig files:"
	find . -name '[a-zA-Z]*.pc' -exec sh -c "echo Adapting {}; sed -i 's#\(\"\?\)-isystem[^ ]\+\1##g; s#\(\"\?\)-I\([^ ]\+\)\1#\1-I\2\1 \1-isystem\2\1#g; s#[ ]\+# #g' {}; cat {};" \;

###########################################
# DOCS


# END DOCS
###########################################
